searchNodes=[{"ref":"Yeet.html","title":"Yeet","type":"module","doc":"Format, enrich and send a message to a dead letter queue."},{"ref":"Yeet.html#format_message/4","title":"Yeet.format_message/4","type":"function","doc":"Takes a message and formats the fields so that they can properly be encoded as json. It also enriches the message with a stack trace and timestamp."},{"ref":"Yeet.html#process_dead_letter/4","title":"Yeet.process_dead_letter/4","type":"function","doc":"Given a message with a dataset id and app name, send a message to the dead letter queue that contains that message, along with additional metadata."},{"ref":"Yeet.html#sanitize_message/1","title":"Yeet.sanitize_message/1","type":"function","doc":"Checks that the message can be encoded to json. If it cannot, it transforms the message into an encodable format."},{"ref":"Yeet.KafkaHelper.html","title":"Yeet.KafkaHelper","type":"module","doc":"Helper module for sending messages to Kafka."},{"ref":"Yeet.KafkaHelper.html#produce/1","title":"Yeet.KafkaHelper.produce/1","type":"function","doc":"Produce sends a message to the dead_letter topic"},{"ref":"readme.html","title":"YEET","type":"extras","doc":"YEET Generates standard messages for Dead Letter Queue"},{"ref":"readme.html#installation","title":"YEET - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding yeet to your list of dependencies in mix.exs: def deps do [ {:yeet, &quot;~&gt; 1.0&quot;} ] end"},{"ref":"readme.html#usage","title":"YEET - Usage","type":"extras","doc":"Yeet.format_message(app_name, original_message, options \\\\ []) Options: stacktrace: generated by the language exit_code: Often there are errors/exceptions inside exits. Exits are often wrapped by the caller and provide stacktraces too. error: decided by app for error tracing reason: human useful description of error timestamp: time marker, defaults to now Example Output Message Shape %{ app: &quot;forklift&quot;, original_message: &quot;{\\&quot;topic\\&quot;: &quot;\\streaming-raw\\&quot;, ...}&quot;, stacktrace: &quot; :erlang./(1, 0)&quot;, exit_code: &quot;%RuntimeError{message: \\&quot;Error\\&quot;}&quot;, error: &quot;FORKLIFT-PARSE&quot; reason: &quot;Failed to parse message&quot;, timestamp: #DateTime&lt;2018-09-11 11:11:00Z&gt; }"},{"ref":"readme.html#example-generation-snippets","title":"YEET - Example generation snippets","type":"extras","doc":"Stacktrace iex(1)&gt; System.stacktrace [ {:erl_anno, :anno_info, [{1, 18, 1}], [file: &#39;erl_anno.erl&#39;, line: 375]}, {IEx.Evaluator, :loop, 1, [file: &#39;lib/iex/evaluator.ex&#39;, line: 103]} ... ... ] iex(2)&gt; Process.info(self(), :current_stacktrace) {:current_stacktrace, [ {Process, :info, 2, [file: &#39;lib/process.ex&#39;, line: 767]}, {:erl_eval, :do_apply, 6, [file: &#39;erl_eval.erl&#39;, line: 680]}, {:elixir, :eval_forms, 4, [file: &#39;src/elixir.erl&#39;, line: 258]}, {IEx.Evaluator, :handle_eval, 5, [file: &#39;lib/iex/evaluator.ex&#39;, line: 257]}, {IEx.Evaluator, :do_eval, 3, [file: &#39;lib/iex/evaluator.ex&#39;, line: 237]}, {IEx.Evaluator, :eval, 3, [file: &#39;lib/iex/evaluator.ex&#39;, line: 215]}, {IEx.Evaluator, :loop, 1, [file: &#39;lib/iex/evaluator.ex&#39;, line: 103]} ]} Exit Codes exit_code = try do raise &quot;Error&quot; rescue e -&gt; e end Timestamp iex(3)&gt; DateTime.from_iso8601(&quot;2018-09-11 11:11:00Z&quot;) {:ok, #DateTime&lt;2018-09-11 11:11:00Z&gt;, 0}"}]